Meet npm Pro: unlimited public & private packages + package-based permissions.Learn more »

html-change-extension-plugin

1.0.0 • Public • Published

HtmlChangeExtensionPlugin

Installation

with yarn yarn add html-change-extension-plugin lodash

with npm npm install html-change-extension-plugin lodash --save

Include in your project

const HtmlChangeExtensionPlugin = require('html-change-extension-plugin');

plugins: [
  new CompressionPlugin(
      {
        algorithm: 'gzip',
        threshold: 10240,
        deleteOriginalAssets: true,
      }
    ),
    new HTMLWebpackPlugin(
      {
        template: './public/index.html',
        filename: './views/index.html',
      }
    ),
    new HtmlChangeExtensionPlugin(
      {
        /**
         * These are the extensions of files that
         * will be changed after html is processed.
         */
        extensions: ['js', 'css'],
        /**
         * Extension of the compression method.
         * 'gz' by default
         */
        compressionMethod: 'gz',
      }
    ),
]

Install

npm i html-change-extension-plugin

DownloadsWeekly Downloads

1

Version

1.0.0

License

ISC

Unpacked Size

2.47 kB

Total Files

3

Last publish

Collaborators

  • avatar